> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List settlement report configurations

> List settlement report configurations

*scopes*:
  - admin:billing
  - read:billing
  - admin:reports
  - read:reports
  - admin:settlements
  - read:settlements




## OpenAPI

````yaml /mintlify-docs/openapi/spec-billing.yaml get /accounts/{aid}/settlements/reports/configuration
openapi: 3.0.0
info:
  title: Billing API
  contact:
    name: API Integration Support
    email: integration@dintero.com
  description: >
    # Changelog

    All notable changes to the API.


    ## 2025-12-15


    > **new** Add new endpoint to trigger generating settlement report in test.

    > - [POST
    /v1/accounts/{aid}/settlements/reports/generate-test-report](/api-reference/settlements/aid_settlement_generate_test_report)


    ## 2025-10-01


    > Extend billing subscription price definition with optional `price_model`

    > field. The field can be used to define how the price is applied

    > - [GET
    /v1/accounts/{aid}/billing/subscriptions](/billing-api/subscriptions/aid_billing_subscriptions_get)


    > Add support for filtering subscriptions by dimensions

    > - [GET
    /v1/accounts/{aid}/billing/subscriptions](/billing-api/subscriptions/aid_billing_subscriptions_get)


    ## 2024-12-20


    > Add support for filtering settlements by `item_created_at.gte`

    > and `item_created_at.lte`. The new filter enables getting list of
    settlement

    > by when they was created, the existing support for
    `created_at.gte`/`created_at.lte`

    > filters by when they was settled (`settled_at`)

    > - [GET
    /v1/accounts/{aid}/settlements](/api-reference/settlements/aid_settlements_list)


    ## 2024-06-01

    > Add pagination to report configuration listing

    > - [GET
    /v1/accounts/{aid}/settlements/reports/configuration](/api-reference/settlementsconfiguration/aid_settlement_report_config_list)


    ## 2023-04-01

    > **new** Add filter on `namespace` and `currency`

    > - [GET
    /v1/accounts/{aid}/billing/subscriptions](/billing-api/subscriptions/aid_billing_subscriptions_get)


    ## 2022-06-01


    > **new** Add filter on `payout_destination_id`

    > - [GET
    /v1/accounts/{aid}/settlements](/api-reference/settlements/aid_settlements_list)


    ## 2022-04-01


    > **new** Add possibility to delete report configurations

    > - [DELETE
    /v1/accounts/{aid}/settlements/reports/configuration/{configuration_id}](/api-reference/settlementsconfiguration/aid_settlement_report_config_delete)


    > **new** Add `destination_type: email` and support filter on
    `payout_destination_id` on settlement report configs

    > - [POST
    /v1/accounts/{aid}/settlements/reports/configuration](/api-reference/settlementsconfiguration/aid_settlement_report_config_create)

    > - [GET
    /v1/accounts/{aid}/settlements/reports/configuration](/api-reference/settlementsconfiguration/aid_settlement_report_config_list)

    > - [PUT
    /v1/accounts/{aid}/settlements/reports/configuration/{configuration_id}](/api-reference/settlementsconfiguration/aid_settlement_report_config_list)


    ## 2020-12-01


    > **new** Support filter user payout rules with `include_deleted` query
    parameter.

    > - [GET
    /v1/accounts/{aid}/billing/payout-rules?include_deleted=false](/billing-api/payoutrules/aid_billing_payout_rules_get)


    ## 2020-05-01


    > **[Payout Rules](#tag/payout.rules)**

    > Add new endpoint for managing Payout rules.
  version: LATEST
  license:
    name: UNLICENSED
    url: https://dintero.com
  x-logo:
    url: https://docs.dintero.com/img/dintero-dark-padded.svg
    altText: Dintero Logo
servers:
  - url: https://api.dintero.com/v1
security:
  - JWT: []
tags:
  - name: payout.rules
    x-displayName: Rules
    description: Manage payout rules
  - name: reports
    x-displayName: Reports
    description: Get billing reports
  - name: subscriptions
    x-displayName: Plans
    description: Get subscription plans
  - name: settlements
    x-displayName: Reports
    description: Get settlement reports
  - name: settlements.configuration
    x-displayName: Configuration
    description: Configure settlement reports
paths:
  /accounts/{aid}/settlements/reports/configuration:
    get:
      tags:
        - settlements.configuration
      summary: aid_settlement_report_config_list
      description: |
        List settlement report configurations

        *scopes*:
          - admin:billing
          - read:billing
          - admin:reports
          - read:reports
          - admin:settlements
          - read:settlements
      operationId: aid_settlement_report_config_list
      parameters:
        - $ref: '#/components/parameters/accountId'
        - name: starting_after
          in: query
          description: cursor for use in pagination
          required: false
          schema:
            type: string
        - $ref: '#/components/parameters/limit1k'
      responses:
        '200':
          $ref: '#/components/responses/SettlementReportConfigList'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/ServerError'
      servers:
        - url: https://api.dintero.com/v1
components:
  parameters:
    accountId:
      name: aid
      description: |
        An id that uniquely identifies the account.
      in: path
      required: true
      schema:
        type: string
        format: ^[PT]{1}\d{8}$
        minLength: 9
        maxLength: 9
    limit1k:
      name: limit
      in: query
      description: |
        A limit on the number of objects to be returned. Limit can range
        between 1 and 1000 items, and the default is 100 items.
      schema:
        type: integer
        minimum: 1
        maximum: 1000
        default: 100
  responses:
    SettlementReportConfigList:
      description: Settlement report configurations list
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SettlementReportConfigResponse'
    BadRequest:
      description: Bad / Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: Unexpected Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    SettlementReportConfigResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/SettlementReportConfigItem'
        starting_after:
          type: string
          description: cursor for use in pagination
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
          properties:
            code:
              type: string
              description: The code used to identify the error/warning
            errors:
              type: array
              description: The nested error(s) encountered during validation
              items:
                type: object
            message:
              type: string
              description: The human readable description of the error/warning
    SettlementReportConfigItem:
      type: object
      allOf:
        - $ref: '#/components/schemas/UpdateSettlementReportConfigItem'
        - properties:
            id:
              type: string
            last_send_at:
              description: >
                **Deprecated** report configuration is not used for controlling
                when to create and send report


                Value in milliseconds (Unix epoch) describing when last time
                reports was sent.
              type: number
              readOnly: true
            last_modified_at:
              description: >
                **Deprecated** report configuration is not used for controlling
                when to create and send report


                Value in milliseconds (Unix epoch) describing when last time
                reports was modified.
              type: number
              readOnly: true
            created_at:
              type: string
              format: date-time
              description: |
                The date-time when the resource was created
              readOnly: true
            updated_at:
              type: string
              format: date-time
              description: |
                The date-time when the resource was last updated
              readOnly: true
            account_id:
              type: string
              readOnly: true
    UpdateSettlementReportConfigItem:
      type: object
      required:
        - filetypes
        - destinations
        - providers
      properties:
        send_every:
          description: >
            **Deprecated** report configuration is not used for controlling when
            to create and send report


            Value in milliseconds describing how often reports should be sent.
          type: number
          example: 86400000
        filetypes:
          type: array
          items:
            type: string
          description: The filetypes that should be sent
        destinations:
          type: array
          description: >-
            List of destinations. If empty, the report is just stored and
            visible from the backoffice.
          items:
            type: object
            required:
              - destination_type
            properties:
              id:
                type: string
              destination_type:
                type: string
                description: >
                  Specifies the type of destination.


                  - account_email: Send email to the billing email address
                  registered on the account

                  - email: Send email to the email address specified in
                  `destination_value`
                enum:
                  - account_email
                  - email
              destination_value:
                type: string
                description: |
                  If destination_type is email, the email address goes here
        providers:
          type: array
          description: List of providers to send report for. If empty, send for all.
          items:
            type: string
        filters:
          description: >
            The report will only be sent to the provided destinations if it
            satisfies these criterias.
          type: array
          items:
            type: object
            properties:
              filter:
                type: string
                enum:
                  - payout_destination_id
                description: |
                  The "field/column" the data will be filtered on
              value:
                type: string
                description: >-
                  The value the records must contain for the provided filter
                  (field/column)
  securitySchemes:
    JWT:
      type: http
      description: >
        Bearer authentication (token authentication) should be used for
        accessing the API.


        Use [Get Token](/api-reference/authenticate/aid_auths_oauth_token_post)
        to get an access token for client credentials.

        Pass the token in the request header:

            Authorization: Bearer {access_token}

        where the **access_token** is JSON Web Tokens (JWT).
      scheme: bearer
      bearerFormat: JWT

````